=== debian/changelog ===
zsh-antigen (1-3) unstable; urgency=medium

  * Fix spelling of ${shlibs:Depends}, thanks to Chris Lamb for the patch (Closes: #792956).
  * Change my email address to fladi@debian.org.
  * Bump Standards-Version to 3.9.7.
  * Update year in d/copyright.
  * Use https for Vcs-Git field.
  * Reformat packaging files with cme for better readability.

 -- Michael Fladischer <fladi@debian.org>  Thu, 11 Feb 2016 09:41:25 +0100

zsh-antigen (1-2) unstable; urgency=low

  * Line-wrap dependencies for better readability.
  * Add README.Debian explaining how to use this package with ZSH.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 18 Apr 2014 11:18:11 +0200

zsh-antigen (1-1) unstable; urgency=low

  * Initial release (Closes: #741030).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 07 Mar 2014 14:40:40 +0100
