=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/zsh-antigen-$1/ \
https://github.com/zsh-users/antigen/releases \
/zsh-users/antigen/archive/v([\d\.]+)\.tar\.gz
