=== debian/changelog ===
zsh-antigen (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Initialize git-dpm.
  * Disable dh_auto_install as it can not handle DESTDIR.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Jul 2016 10:22:44 +0200

zsh-antigen (1-4) unstable; urgency=low

  * Declare 'Enhances: zsh'.
  * Fix URL in Vcs-Git field.
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Fri, 20 May 2016 11:05:57 +0200
