=== debian/changelog ===
zsh-antigen (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Oct 2016 11:44:34 +0200

zsh-antigen (1.1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #838493).

 -- Michael Fladischer <fladi@debian.org>  Mon, 26 Sep 2016 10:46:20 +0200

zsh-antigen (1.1.2-2) unstable; urgency=medium

  * Install the actual antigen.zsh file instead of a broken symlink
    (Closes: #838429).

 -- Michael Fladischer <fladi@debian.org>  Wed, 21 Sep 2016 08:51:42 +0200

zsh-antigen (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Remove unused lintian override for missing changelog.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Sep 2016 18:37:32 +0200

zsh-antigen (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 29 Aug 2016 12:23:58 +0200

zsh-antigen (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Aug 2016 12:52:17 +0200
