=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Section: shells
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/zsh-antigen.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh-antigen.git
 Homepage: https://github.com/zsh-users/antigen
 
 Package: zsh-antigen
@@ -14,6 +14,7 @@
          zsh,
          ${misc:Depends},
          ${shlibs:Depends}
+Enhances: zsh
 Description: manage your zsh plugins
  Antigen is a small set of functions that help you easily manage your shell
  (zsh) plugins, called bundles. The concept is pretty much the same as bundles
