## zsh-antigen 1.2.3

=== debian/changelog ===
zsh-antigen (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 28 Nov 2016 13:37:02 +0100
