## zsh-antigen 1.3.0

=== Makefile ===
--- 
+++ 
@@ -12,15 +12,6 @@
 	sed $(1) $(2) > "$(2).1"
 	mv "$(2).1" "$(2)"
 endef
-
-itests:
-	${MAKE} tests CRAM_OPTS=-i
-
-tests:
-	${PYENV} ZDOTDIR="${PROJECT}/tests" cram ${CRAM_OPTS} --shell=${SHELL} ${TESTS}
-
-install:
-	mkdir -p ${PREFIX}/share && cp ${BIN}/antigen.zsh ${PREFIX}/share/antigen.zsh
 
 build:
 	cat ${PROJECT}/src/antigen.zsh > ${BIN}/antigen.zsh
@@ -50,11 +41,20 @@
 publish:
 	# Build release commit
 	git add .
-	git commit -m "Build release $$(cat ${PROJECT}/VERSION)"
+	git commit -S -m "Build release $$(cat ${PROJECT}/VERSION)"
 	git push origin release/$$(cat ${PROJECT}/VERSION)
 
 clean:
 	rm -f ${PREFIX}/share/antigen.zsh
+
+itests:
+	${MAKE} tests CRAM_OPTS=-i
+
+tests:
+	${PYENV} ZDOTDIR="${PROJECT}/tests" cram ${CRAM_OPTS} --shell=${SHELL} ${TESTS}
+
+install:
+	mkdir -p ${PREFIX}/share && cp ${BIN}/antigen.zsh ${PREFIX}/share/antigen.zsh
 
 deps:
 	pip install cram==0.6.*
