=== debian/changelog ===
zsh-antigen (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Dec 2016 20:19:01 +0100
