=== debian/changelog ===
zsh-antigen (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 24 Dec 2016 14:57:00 +0100
