## zsh-antigen 1.3.2

=== debian/changelog ===
zsh-antigen (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 03 Jan 2017 11:46:11 +0100
