=== debian/changelog ===
zsh-antigen (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Jan 2017 13:00:55 +0100
