## zsh-antigen 1.3.4

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 	# Make build and tests
 	make build && make tests PYENV= SHELL=zsh
 	
-	# Update versions
-	$(call ised, "s/{{VERSION}}/$(version)/",README.mkd)
+	# Update version references in README.md
+	$(call ised, "s/${VERSION}/$(version)/",README.mkd)
 	
 	# Update changelog
 	vi CHANGELOG.md
