=== debian/changelog ===
zsh-antigen (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 25 Jan 2017 11:58:47 +0100
