=== debian/changelog ===
zsh-antigen (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Add zsh do Build-Depends.
  * Use new upstream ./configure script to build antigen.zsh from
    source.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2017 11:38:35 +0200

zsh-antigen (1.4.0-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 18 Feb 2017 13:24:41 +0100
