## zsh-antigen 2.2.1

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 WITH_LOCK=yes
 WITH_DEFER=yes
 WITH_CACHE=yes
+WITH_DEBUG=yes
 WITH_PARALLEL=yes
 WITH_EXTENSIONS=yes
 WITH_COMPLETION=yes
-DEBUG=yes
 ######################################################################
 SHELL     ?= sh
 PREFIX    ?= /usr/local
@@ -29,10 +29,10 @@
 
 TARGET     ?= ${BIN}/antigen.zsh
 SRC        ?= ${SRC}
-DEBUG      ?= yes
 EXTENSIONS ?= 
 GLOB       ?= 
 
+WITH_DEBUG      ?= yes
 WITH_EXTENSIONS ?= yes
 WITH_DEFER      ?= yes
 WITH_LOCK       ?= yes
@@ -57,14 +57,16 @@
 EXTENSIONS += ${SRC}/ext/cache.zsh
 endif
 
-GLOB  += ${SRC}/antigen.zsh $(sort $(wildcard ${PWD}/src/helpers/*.zsh)) \
-        ${SRC}/lib/*.zsh $(sort $(wildcard ${PWD}/src/commands/*.zsh)) ${EXTENSIONS}
+LIB     = $(filter-out ${SRC}/lib/log.zsh,$(sort $(wildcard ${PWD}/src/lib/*.zsh)))
+HELPERS = $(sort $(wildcard ${PWD}/src/helpers/*.zsh)) 
+COMMANDS= $(sort $(wildcard ${PWD}/src/commands/*.zsh))
+GLOB   += ${SRC}/antigen.zsh ${HELPERS} ${LIB} ${COMMANDS} ${EXTENSIONS}
 
 ifeq (${WITH_COMPLETION}, yes)
 GLOB  += ${SRC}/_antigen
 endif
 # If debug is enabled then load debug functions
-ifeq (${DEBUG}, yes)
+ifeq (${WITH_DEBUG}, yes)
 GLOB  += ${SRC}/lib/log.zsh
 endif
 
@@ -101,9 +103,9 @@
 	@echo "-antigen-env-setup" >> ${TARGET}
 	@echo "${VERSION}" > ${VERSION_FILE}
 	@$(call ised,"s/{{ANTIGEN_VERSION}}/$$(cat ${VERSION_FILE})/",${TARGET})
-ifeq (${DEBUG}, no)
-	@$(call isede,"s/(WARN|LOG|ERR|TRA) .*& //",${TARGET})
-	@$(call isede,"/(WARN|LOG|ERR|TRA) .*/d",${TARGET})
+ifeq (${WITH_DEBUG}, no)
+	@$(call isede,"s/ (WARN|LOG|ERR|TRACE) .*&//",${TARGET})
+	@$(call isede,"/ (WARN|LOG|ERR|TRACE) .*/d",${TARGET})
 endif
 	@echo Done.
 	@ls -sh ${TARGET}
