=== debian/changelog ===
zsh-antigen (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Jul 2017 10:53:14 +0200
