=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Michael Fladischer <fladi@debian.org>
 Section: shells
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+               zsh
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh-antigen.git
 Homepage: https://github.com/zsh-users/antigen
