## zsh-antigen 2.2.2

=== debian/changelog ===
zsh-antigen (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.1.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Fri, 24 Nov 2017 09:59:43 +0100
