=== debian/control ===
Source: zsh-antigen
Maintainer: Michael Fladischer <fladi@debian.org>
Section: shells
Priority: optional
Build-Depends:
 debhelper (>= 9),
 zsh,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh-antigen.git
Homepage: https://github.com/zsh-users/antigen

Package: zsh-antigen
Architecture: all
Depends:
 git,
 zsh,
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 zsh,
Description: manage your zsh plugins
 Antigen is a small set of functions that help you easily manage your shell
 (zsh) plugins, called bundles. The concept is pretty much the same as bundles
 in a typical vim+pathogen setup. Antigen is to zsh, what Vundle is to vim.
