## zsh-antigen 2.2.3

=== Makefile ===
--- 
+++ 
@@ -103,6 +103,8 @@
 	@echo "-antigen-env-setup" >> ${TARGET}
 	@echo "${VERSION}" > ${VERSION_FILE}
 	@$(call ised,"s/{{ANTIGEN_VERSION}}/$$(cat ${VERSION_FILE})/",${TARGET})
+	@$(call ised,"s/{{ANTIGEN_REVISION}}/$$(git log -n1 --format=%h -- src)/",${TARGET})
+	@$(call ised,"s/{{ANTIGEN_REVISION_DATE}}/$$(git log -n1 --format='%ai' -- src)/",${TARGET})
 ifeq (${WITH_DEBUG}, no)
 	@$(call isede,"s/ (WARN|LOG|ERR|TRACE) .*&//",${TARGET})
 	@$(call isede,"/ (WARN|LOG|ERR|TRACE) .*/d",${TARGET})
@@ -111,13 +113,18 @@
 	@ls -sh ${TARGET}
 
 release:
+	# Move to release branch
 	git checkout develop
+	git checkout -b release/${VERSION}
+	# Run build and tests
 	${MAKE} build tests
-	git checkout -b release/${VERSION}
 	# Update changelog
 	${EDITOR} CHANGELOG.md
 	# Build release commit
-	git add CHANGELOG.md ${VERSION_FILE} README.mkd ${TARGET}
+	git add CHANGELOG.md README.mkd ${VERSION_FILE}
+	git commit -S -m "Update changelog for ${VERSION}"
+	# Update binary artifact
+	git add ${TARGET}
 	git commit -S -m "Build release ${VERSION}"
 
 publish:
