=== debian/changelog ===
zsh-antigen (2.2.3-5) unstable; urgency=low

  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.

 -- Michael Fladischer <fladi@debian.org>  Tue, 05 Oct 2021 07:18:56 +0000

zsh-antigen (2.2.3-4) unstable; urgency=medium

  * Add patch to replace PWD in Makefile (Closes: #906757).

 -- Michael Fladischer <fladi@debian.org>  Tue, 09 Mar 2021 16:37:29 +0100

zsh-antigen (2.2.3-3) unstable; urgency=medium

  * Update patch to use UTC timestamp and Debian revision to support
    reproducible builds (Closes: #911757).
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Switch to debhelper-compat.
  * Set Rules-Requires-Root: no.
  * Add d/upstream/metadata.
  * Remove renamed lintian override for missing GPG key.

 -- Michael Fladischer <fladi@debian.org>  Fri, 04 Dec 2020 21:21:35 +0100

zsh-antigen (2.2.3-2) unstable; urgency=low

  * d/control: Set Vcs-* to salsa.debian.org
  * Bump Standards-Version to 4.2.1.
  * Add patch to set revision and date in source without relying on git.

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Aug 2018 08:58:23 +0200

zsh-antigen (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.

 -- Michael Fladischer <fladi@debian.org>  Tue, 09 Jan 2018 08:36:16 +0100
