=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Section: shells
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  zsh,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh-antigen.git
+Standards-Version: 4.6.0.1
+Vcs-Browser: https://salsa.debian.org/fladi/zsh-antigen
+Vcs-Git: https://salsa.debian.org/fladi/zsh-antigen.git
 Homepage: https://github.com/zsh-users/antigen
+Rules-Requires-Root: no
 
 Package: zsh-antigen
 Architecture: all
