=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/zsh-antigen-$1/ \
https://github.com/zsh-users/antigen/releases \
/zsh-users/antigen/archive/refs/tags/v([\d\.]+)\.tar\.gz
